#ifndef MCT1READASCII_H
#define MCT1READASCII_H

#ifndef MTASK_H
#include "MTask.h"
#endif

class MCerPhotEvt;
class MPedestalCam;

class MCT1ReadAscii : public MTask
{
private:
    TString       fFileName;    //! the file name of the string
    ifstream     *fIn;          //! the inputfile
    MCerPhotEvt  *fNphot;       //! the data container for all data.
    MPedestalCam *fPedest;      //! ct1 pedestals

    void ReadPedestals();
    void ReadData();

public:
    MCT1ReadAscii(const char *filename,
                  const char *name=NULL,
                  const char *title=NULL);

    Bool_t PreProcess(MParList *pList);
    Bool_t Process();
    Bool_t PostProcess();

    ClassDef(MCT1ReadAscii, 0)	// Reads the CT1 data file
};

#endif

